<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;
use FM\Traits\TQuery;

class FindFactory  {

    use TQuery;

    protected $connection;

    protected $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function findOperador($filtro) {

        $sql = "SELECT CDOPERADOR, NMOPERADOR
                FROM OPERADOR
                WHERE".$filtro."
                ORDER BY NMOPERADOR";
        
        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);         

    }
}
